
DEPEND_TOOL = makedepend

TARGETS = main Script_Data_InterpolatingQuery Script_BinaryOccupancy_RayTrace bodump

all:	$(TARGETS)

main:	
	cc OctreeSupport.cpp main.cc -O2 -WC,-ei -D_QNX -o $@

Script_Data_InterpolatingQuery:
	cc  OctreeSupport.cpp Script_Data_InterpolatingQuery.cpp -O2 -WC,-ei -D_QNX -o $@

Script_BinaryOccupancy_RayTrace:
	cc  OctreeSupport.cpp Script_BinaryOccupancy_RayTrace.cpp -O2 -WC,-ei -D_QNX -o $@

bodump: ../../G2TerrainNav/bodump.cc
	cc  OctreeSupport.cpp ../../G2TerrainNav/bodump.cc -O2 -WC,-ei -D_QNX -o $@

clean:
	rm -f core *.o *.lib *.yy *.tab.* $(TARGETS)
#	rm -f core *.o $(OBJS:.o=.d) *.lib *.yy *.tab.* $(TARGETS)

.SUFFIXES:
.SUFFIXES:	.o .c .cc .cpp .tpp .d 

%.d: %.cpp
	    @echo Generating dependencies for $?
	    $(DEPEND_TOOL) $(INCLUDES) $? -f $@.tmp
	    @mv $@.tmp $@

%.d: %.cc
	    @echo Generating dependencies for $?
	    $(DEPEND_TOOL) $(INCLUDES) $? -f $@.tmp
	    @mv $@.tmp $@

depend:	
	
# DO NOT DELETE THIS LINE -- make depend depends on it.
